Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1277980 - missing python-proliantutils
Summary: missing python-proliantutils
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-tripleo
Version: Liberty
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: James Slagle
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-04 13:19 UTC by Ola Pavlenko
Modified: 2017-06-18 06:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-18 06:21:06 UTC


Attachments (Terms of Use)

Description Ola Pavlenko 2015-11-04 13:19:56 UTC
Description of problem:

Missing package  python-proliantutils 

During the installation of RDO on RHEL 7.1 :
Error: Execution of '/bin/yum -d 0 -e 0 -y list python-proliantutils' returned 1: Error: No matching Packages to list
Error: /Stage[main]/Main/Package[python-proliantutils]/ensure: change from absent to present failed: Execution of '/bin/yum -d 0 -e 0 -y list python-proliantutils' returned 1: Error: No matching Packages to list

Version-Release number of selected component (if applicable):
openstack-tripleo-0.0.1-dev1771.el7.centos.noarch

How reproducible:
100%

Steps to Reproduce:
1.Using this guide https://repos.fedorapeople.org/repos/openstack-m/rdo-manager-docs/liberty/installation/installing.html

Actual results:
Installation failed

Expected results:


Additional info:
the package is available here:
 ftp://ftp.muug.mb.ca/mirror/fedora/epel/7/x86_64/p/python-proliantutils-2.1.0-1.el7.noarch.rpm

Comment 1 Leif Madsen 2015-12-11 19:15:38 UTC
I ran into this same problem today doing and undercloud deployment with RDO Manager on CentOS 7 with OS Liberty release.

The workaround for me was to install and disable the EPEL repository, and then run:

yum install --enablerepo=epel python-proliantutils

Then I could run the 'openstack undercloud install' command without failure.

In #rdo yesterday someone mentioned that this package is sitting waiting to be promoted to release:  http://cbs.centos.org/koji/buildinfo?buildID=4743

Comment 3 Christopher Brown 2017-06-17 17:38:48 UTC
Images now have this so this can be closed.


Note You need to log in before you can comment on or make changes to this bug.